Bug 13487 - DataTables pagination needs some fixes
Summary: DataTables pagination needs some fixes
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Jonathan Druart
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on: 11425 12986
Blocks:
  Show dependency treegraph
 
Reported: 2014-12-22 09:50 UTC by Jonathan Druart
Modified: 2016-12-05 21:23 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 13487: DT pagination contains '...' for the full_numbers form (1.76 KB, patch)
2014-12-22 09:58 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 13487: Fix pagination for basketgroup (1.05 KB, patch)
2014-12-22 09:58 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 13487: Fix pagination for the item search (1.10 KB, patch)
2014-12-22 09:58 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 13487: DT pagination contains '...' for the full_numbers form (1.81 KB, patch)
2014-12-26 19:46 UTC, Chris Cormack
Details | Diff | Splinter Review
Bug 13487: Fix pagination for basketgroup (1.11 KB, patch)
2014-12-26 19:46 UTC, Chris Cormack
Details | Diff | Splinter Review
Bug 13487: Fix pagination for the item search (1.15 KB, patch)
2014-12-26 19:46 UTC, Chris Cormack
Details | Diff | Splinter Review
[PASSED QA] Bug 13487: DT pagination contains '...' for the full_numbers form (1.88 KB, patch)
2014-12-27 11:55 UTC, Katrin Fischer
Details | Diff | Splinter Review
[PASSED QA] Bug 13487: Fix pagination for basketgroup (1.18 KB, patch)
2014-12-27 11:55 UTC, Katrin Fischer
Details | Diff | Splinter Review
[PASSED QA] Bug 13487: Fix pagination for the item search (1.22 KB, patch)
2014-12-27 11:55 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2014-12-22 09:50:20 UTC
On acqui/basketgroup.pl and catalogue/itemsearch.pl, the sPaginationType DT parameter is not explicitly defined. This broken the pagination display.

Moreover, since the DT upgrade (bug 12986), the full_numbers pagination adds a span (containing '...'). It is not managed by the css file and is put at the end of the page numbers ( "1 2 3 4 5 20 NEXT LAST ...", we expect "1 2 3 4 5 ... 20 NEXT LAST").
Comment 1 Jonathan Druart 2014-12-22 09:58:26 UTC Comment hidden (obsolete)
Comment 2 Jonathan Druart 2014-12-22 09:58:29 UTC Comment hidden (obsolete)
Comment 3 Jonathan Druart 2014-12-22 09:58:33 UTC Comment hidden (obsolete)
Comment 4 Jonathan Druart 2014-12-22 09:59:24 UTC
(In reply to Jonathan Druart from comment #1)
> Created attachment 34626 [details] [review] [review]
> Bug 13487: DT pagination contains '...' for the full_numbers form

This is certainly not the best way to fix that. Feel free to suggest something else.
Comment 5 Jonathan Druart 2014-12-22 10:00:09 UTC
Let me know if you found other pagination problems.
Comment 6 Chris Cormack 2014-12-26 19:46:18 UTC Comment hidden (obsolete)
Comment 7 Chris Cormack 2014-12-26 19:46:33 UTC Comment hidden (obsolete)
Comment 8 Chris Cormack 2014-12-26 19:46:55 UTC Comment hidden (obsolete)
Comment 9 Katrin Fischer 2014-12-27 11:55:06 UTC
Created attachment 34703 [details] [review]
[PASSED QA] Bug 13487: DT pagination contains '...' for the full_numbers form

Since the DT upgrade (bug 12986), the full_numbers pagination adds a
span (containing '...'). It is not managed by the css file and is put at
the end of the page numbers ( "1 2 3 4 5 20 NEXT LAST ...", we expect "1
2 3 4 5 ... 20 NEXT LAST").

Test plan:
1/ Go on the member search and launch a search which will return more than
7 pages
2/ Without this patch, the '...' span is put at the end of the
pagination bar.
3/ With the patch it should be better placed.

Signed-off-by: Chris Cormack <chris@bigballofwax.co.nz>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 10 Katrin Fischer 2014-12-27 11:55:08 UTC
Created attachment 34704 [details] [review]
[PASSED QA] Bug 13487: Fix pagination for basketgroup

Test plan:
Go on the acqui/basketgroup.pl page and verify that the pagination
button (First, Prev, Next, Last) is now correctly styled.

Signed-off-by: Chris Cormack <chris@bigballofwax.co.nz>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 11 Katrin Fischer 2014-12-27 11:55:11 UTC
Created attachment 34705 [details] [review]
[PASSED QA] Bug 13487: Fix pagination for the item search

Test plan:
Go on the catalogue/itemsearch.pl page and verify that the
pagination button (First, Prev, PAGES, Next, Last) is now correctly styled.

Signed-off-by: Chris Cormack <chris@bigballofwax.co.nz>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 12 Tomás Cohen Arazi 2015-01-07 23:44:14 UTC
Patches pushed to master.

Thanks Jonathan!
Comment 13 Chris Cormack 2015-01-11 07:59:50 UTC
Pushed to 3.18.x will be in 3.18.3